View Issue Details

IDProjectCategoryView StatusLast Update
0020933MMW 5Generalpublic2024-05-31 18:02
Reporterrusty Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version5.1 
Target Version5.1 
Summary0020933: Issues with TAB order and Keyboard-only usage of MM 2024
Description1) Main panel TAB navigation: Preview:
a) TAB key fails to navigate to the Preview panel menus
b) TAB key fails to navigate to the Preview window (i.e. if lookup commands are enabled OR if field editing is enabled, there's no way to do so with the keyboard only)

2) Main panel TAB navigation: UI tabs
- Arrows don't navigate to '+' to add a new tab

3) Main panel TAB navigation - Playing Panel:
- there's no way to access the menu (ellipsis)

4) Main panel TAB navigation - Browser views:
a) no way to expand/collapse lists (e.g. list of Artists, list of albums, or Top Tracks)
b) No way to edit Auto-playlists: tab controls don't start in the Info panel, and don't go through each of the buttons (Edit, Play, Play shuffled, Overflow menu)

5) Devices panel
a) On devices panel: no way to 'Show all'
b) After selecting an entry, it's possible to switch between tabs (Summary, Sync list, Sync profile) but it doesn't seem possible to configure anything within the tabs

6) Auto-tag
a) TAB focus is out of order
b) No way to open/edit individual fields

7) Tag from Filename
a) Tab focus is out of order
b) Tab focus skips 'select all'
c) No way to edit individual fields

8) Organize files
- Tab focus is out of order

9) Properties
a) Artwork: Tab focus is out of order
b) Artwork: Tab focus skips Delete, Apply to all files, Browse, Lookup image
c) Custom: Tab focus is out of order
d) Custom: Tab focus skips Extended tag buttons (Add, Edit, Delete)

10) Configuration: in all portions of the UI containing a 'Gear' icon, it doesn't seem possible to select the gear to edit the settings

11) Optimization in order to save on tab presses: In Player, instead of using TAB all the time, perhaps TAB from seekbar, to Play controls, to ratings, to toggles, to Volume.
TagsNo tags attached.
Fixed in build

Relationships

related to 0018767 resolvedmichal Propertied Dialog: Tab order is not the same as in MM4 
related to 0020806 closedLudek List view doesn't tab into Rating when in-line editing 
parent of 0020964 assignedmichal Too much Tab key presses required to cycle all controls 
parent of 0020443 feedbackmichal Preview in Advanced layout should allow moving between fields with arrow keys when Allow edits is turned on 
parent of 0020967 assignedmichal Issue with tab key when popup is opened in grid 
Not all the children of this issue are yet resolved or closed.

Activities

rusty

2024-05-22 20:44

administrator   ~0075482

I think that this should be fixed if it's low risk.

michal

2024-05-24 08:59

developer   ~0075531

1-3 fixed in build 3023. In 2 Tab used for navigation, arrows change active tab and "+" button is in fact separate button for adding new tab, it would be problematic to implement it for arrows.